Functions for admin that are missing:

Create a user.
See all users
Modify user data
WE WILL NOT ALLOW DELETION
See all logs
Locate a user (Search functions)
see all tickets(optional?)

Functions for user that are missing:
ticket function for requests(optional?)
allow modification of address